Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class NameIDType

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.NameIDType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:00:42+02:00",
               comments="JAXB RI v2.3.6")
    public class NameIDType

extends Object
implements Serializable

Java class for NameIDType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NameIDType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attGroup ref="{urn:oasis:names:tc:SAML:2.0:assertion}IDNameQualifiers"/>
           <attribute name="Format" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="SPProvidedID" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NameIDType()`

Method Summary
`String` | `getFormat()` Gets the value of the format property.
`String` | `getNameQualifier()` Gets the value of the nameQualifier property.
`String` | `getSPNameQualifier()` Gets the value of the spNameQualifier property.
`String` | `getSPProvidedID()` Gets the value of the spProvidedID property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setFormat(String value)` Sets the value of the format property.
`void` | `setNameQualifier(String value)` Sets the value of the nameQualifier property.
`void` | `setSPNameQualifier(String value)` Sets the value of the spNameQualifier property.
`void` | `setSPProvidedID(String value)` Sets the value of the spProvidedID property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameIDType

    public NameIDType()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getFormat

    public String getFormat()

  Gets the value of the format property.

  Returns:
    possible object is `String`

### setFormat

    public void setFormat(String value)

  Sets the value of the format property.

  Parameters:
    `value` - allowed object is `String`

### getSPProvidedID

    public String getSPProvidedID()

  Gets the value of the spProvidedID property.

  Returns:
    possible object is `String`

### setSPProvidedID

    public void setSPProvidedID(String value)

  Sets the value of the spProvidedID property.

  Parameters:
    `value` - allowed object is `String`

### getNameQualifier

    public String getNameQualifier()

  Gets the value of the nameQualifier property.

  Returns:
    possible object is `String`

### setNameQualifier

    public void setNameQualifier(String value)

  Sets the value of the nameQualifier property.

  Parameters:
    `value` - allowed object is `String`

### getSPNameQualifier

    public String getSPNameQualifier()

  Gets the value of the spNameQualifier property.

  Returns:
    possible object is `String`

### setSPNameQualifier

    public void setSPNameQualifier(String value)

  Sets the value of the spNameQualifier property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.